--Interaction Panel
-- if not VoidUIInteract.options.enable_interact then return end
function HUDManager:pd_start_progress(current, total, msg, icon_id)
	if not self._hud_interaction then
		return
	end
	self._hud_interaction:show_interaction_bar(current, total)
	self._hud_player_downed:hide_timer()
	local function feed_circle(o, total)
		local t = 0
		while total > t do
			t = t + coroutine.yield()
			self._hud_interaction:set_interaction_bar_width(t, total)
			self._hud_interaction:show_interact({text = utf8.to_upper(managers.localization:text(msg))})
		end
		self._hud_interaction:remove_interact()
		self._hud_interaction:hide_interaction_bar(true)
	end
	self._hud_interaction._interact_bar:stop()
	self._hud_interaction._interact_bar:animate(feed_circle, total)
end

function HUDManager:pd_stop_progress()
	if not self._hud_interaction then
		return
	end
	self._hud_interaction:remove_interact()
	self._hud_interaction:hide_interaction_bar(false)
	self._hud_player_downed:show_timer()
end
